# creditNote

**Scope required:** billing:read

For a complete list of possible response fields see the [CreditNote](/developer/api-reference/types/creditnote.md) type.

```graphql
query creditNote ($id: ID, $code: String, $format: String) {
  creditNote (id: $id, code: $code, format: $format) {
    accountId
    amount
    amountApplied
    amountUnapplied
    createdAt
    creditedInvoiceId
    currencyId
    description
    disputeId
    disputeReasonId
    entityId
    id
    isCredit
    isLegacy
    issuedAt
    number
    subtotal
    taxAmount
    updatedAt
    uuid
    warrenId
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [CreditNote](/developer/api-reference/types/creditnote.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/creditnote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
